export interface ISosErrorTransferObject {
    type: string;
    code: string;
    message: string;
    suggestion?: string;
    stackTrace?: string;
    pathToDocs?: string;
    origin?: string;
    originStack?: string;
}
export declare function createError(errorTransferObject: ISosErrorTransferObject): Error;
export declare function getEnrichedStack(error: ISosErrorTransferObject): string;
